package ru.vendetti.bitcoin_summarizer

import com.google.gson.annotations.SerializedName

// Обёртка для данных (тут json-массив с одним элементом, поэтому выглядит так)
typealias TickerResponse = List<TickerData>

// Сами данные
data class TickerData(
    val id: String = "",
    val name: String = "",
    val symbol: String = "",
    val rank: String = "",
    @SerializedName("price_usd") val priceUsd: String = "0.0",
    @SerializedName("price_btc") val priceBtc: String = "0.0",
    @SerializedName("24h_volume_usd") val volume24hUsd: String = "0",
    @SerializedName("market_cap_usd") val marketCapUsd: String = "0",
    @SerializedName("available_supply") val availableSupply: String = "0",
    @SerializedName("total_supply") val totalSupply: String = "0",
    @SerializedName("max_supply") val maxSupply: String? = "0",
    @SerializedName("percent_change_1h") val percentChange1h: String = "0",
    @SerializedName("percent_change_24h") val percentChange24h: String = "0.0",
    @SerializedName("percent_change_7d") val percentChange7d: String = "0.0",
    @SerializedName("last_updated") val lastUpdated: String = ""
)