package ru.vendetti.bitcoin_summarizer.ui.theme

import android.app.Activity
import android.os.Build
import androidx.compose.foundation.isSystemInDarkTheme
import androidx.compose.material3.MaterialTheme
import androidx.compose.material3.darkColorScheme
import androidx.compose.material3.dynamicDarkColorScheme
import androidx.compose.material3.dynamicLightColorScheme
import androidx.compose.material3.lightColorScheme
import androidx.compose.runtime.Composable
import androidx.compose.ui.graphics.Color
import androidx.compose.ui.platform.LocalContext

private val DarkColorScheme = darkColorScheme(
    primary = RaisinBlack,
    secondary = DarkPurple,
    tertiary = EnglishViolet,

    // Other default colors to override
    background = DarkPurple,
    surface = Color(0xFFFFFBFE),
    onPrimary = HunyadiYellow,
    onSecondary = HunyadiYellow,
    onTertiary = HunyadiYellow,
    onBackground = HunyadiYellow,
    onSurface = Color(0xFF1C1B1F),
)

private val LightColorScheme = lightColorScheme(
    primary = HunyadiYellow,
    secondary = Flame,
    tertiary = EnglishViolet,

    // Other default colors to override
    background = Color.White,
    surface = Color(0xFFFFFBFE),
    onPrimary = RaisinBlack,
    onSecondary = Color.White,
    onTertiary = Color.White,
    onBackground = RaisinBlack,
    onSurface = Color(0xFF1C1B1F),
)

@Composable
fun BitcoinSummarizerTheme(
    darkTheme: Boolean = isSystemInDarkTheme(),
    content: @Composable () -> Unit
) {
    val colorScheme = when {
        darkTheme -> DarkColorScheme
        else -> LightColorScheme
    }

    MaterialTheme(
        colorScheme = colorScheme,
        typography = Typography,
        content = content
    )
}